---
title: "Gets specific Product Details Log by unique id"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/get-productdetailslog-id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Gets specific Product Details Log by unique id

`GET` `/productdetailslog/{id}`

Operation ID: `get-productdetailslog-id`

Gets specific Product Details Log by unique id

## Path parameters

- `id` (integer, int32, required) - Product Details Log id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Returns found Product Details Log
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Product Details Log not found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /productdetailslog/{id}:
    get:
      tags:
        - productdetailslog
      summary: Gets specific Product Details Log by unique id
      description: Gets specific Product Details Log by unique id
      operationId: get-productdetailslog-id
      parameters:
        - name: id
          in: path
          description: Product Details Log id
          required: true
          schema:
            type: integer
            description: Product Details Log id
            format: int32
            example: 1
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Returns found Product Details Log
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProductDetailLog"
              example:
                id: 0
                created_on: string
                created_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
                product:
                  id: 0
                  supplier_sku: string
                  short_description: string
                  created_on: string
                movement_type: string
                origin: string
                supplier_buy_ex:
                  before: 0
                  change: 0
                  after: 0
                buy_price_ex:
                  before: 0
                  change: 0
                  after: 0
                direct_costs_ex:
                  before: 0
                  change: 0
                  after: 0
                sell_price_inc:
                  before: 0
                  change: 0
                  after: 0
                discount_price:
                  before: 0
                  change: 0
                  after: 0
                rrp_inc:
                  before: 0
                  change: 0
                  after: 0
                web_price_inc:
                  before: 0
                  change: 0
                  after: 0
                product_type:
                  before: string
                  after: string
                disabled:
                  before: true
                  after: true
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Product Details Log not found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    ProductDetailLog:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id
          format: int32
        created_on:
          type: string
          description: Created on
          format: date-time
        created_by:
          $ref: "#/components/schemas/UserExtended"
        product:
          $ref: "#/components/schemas/ProductDetailLogProduct"
        movement_type:
          type: string
          description: Source type
          nullable: true
        origin:
          type: string
          description: Origin
          nullable: true
        supplier_buy_ex:
          $ref: "#/components/schemas/Decimal.BeforeChangeAfter"
        buy_price_ex:
          $ref: "#/components/schemas/Decimal.BeforeChangeAfter"
        direct_costs_ex:
          $ref: "#/components/schemas/Decimal.BeforeChangeAfter"
        sell_price_inc:
          $ref: "#/components/schemas/Decimal.BeforeChangeAfter"
        discount_price:
          $ref: "#/components/schemas/Decimal.BeforeChangeAfter"
        rrp_inc:
          $ref: "#/components/schemas/Decimal.BeforeChangeAfter"
        web_price_inc:
          $ref: "#/components/schemas/Decimal.BeforeChangeAfter"
        product_type:
          $ref: "#/components/schemas/String.BeforeAfter"
        disabled:
          $ref: "#/components/schemas/Boolean.BeforeAfter"
      additionalProperties: false
      description: Product Detail Log model
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    UserExtended:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
          nullable: true
        user_code:
          type: string
          description: User code.
          nullable: true
        first_name:
          type: string
          description: First name.
          nullable: true
        surname:
          type: string
          description: Surname.
          nullable: true
      additionalProperties: false
    ProductDetailLogProduct:
      title: ""
      type: object
      properties:
        id:
          type: integer
          format: int32
        supplier_sku:
          type: string
          nullable: true
        short_description:
          type: string
          nullable: true
        created_on:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
      description: Product Detail Log Product model
    Decimal.BeforeChangeAfter:
      title: ""
      type: object
      properties:
        before:
          type: number
          description: Before
          format: double
        change:
          type: number
          description: Change
          format: double
        after:
          type: number
          description: After
          format: double
      additionalProperties: false
    String.BeforeAfter:
      title: ""
      type: object
      properties:
        before:
          type: string
          description: Before
          nullable: true
        after:
          type: string
          description: After
          nullable: true
      additionalProperties: false
    Boolean.BeforeAfter:
      title: ""
      type: object
      properties:
        before:
          type: boolean
          description: Before
        after:
          type: boolean
          description: After
      additionalProperties: false
```
